Regenerated: /usr/unsupported/bin/perl scripts/gen-FAQ.pl FAQ.in
authordrepper <drepper>
Mon, 10 Aug 1998 14:27:39 +0000 (14:27 +0000)
committerdrepper <drepper>
Mon, 10 Aug 1998 14:27:39 +0000 (14:27 +0000)
FAQ

diff --git a/FAQ b/FAQ
index ebb93d7..5b8f205 100644 (file)
--- a/FAQ
+++ b/FAQ
@@ -115,6 +115,9 @@ please let me know.
 3.11.  I get some errors with `gcc -ansi'. Isn't glibc ANSI compatible?
 3.12.  I can't access some functions anymore.  nm shows that they do
        exist but linking fails nevertheless.
+3.13.  When using the db-2 library which comes with glibc is used in
+       the Perl db modules the testsuite is not passed.  This did not
+       happen with db-1, gdbm, or ndbm.
 
 4. Miscellaneous
 
@@ -1159,6 +1162,22 @@ e.g. __ivaliduser).  If a program uses these interfaces, it's broken.  These
 internal interfaces might change between glibc releases or dropped
 completely.
 
+
+3.13.  When using the db-2 library which comes with glibc is used in
+       the Perl db modules the testsuite is not passed.  This did not
+       happen with db-1, gdbm, or ndbm.
+
+{UD} You are using an outdated copy of the DB_File Perl module.  In fact db-2
+finally removed the handling of zero-sized keys which was one of the features
+tested by the old Perl testsuite and therefore you see an error.  But this
+never was documented and guaranteed, only broken programs used this feature.
+
+Consequently db-2 does not need to support this feature and instead signals
+an error which leads to easier debugging.  The DB_File module maintainer
+Paul Marquess <pmarquess@bfsec.bt.co.uk> acknowledged this change and fixed
+the testsuite so that if you use DB_File v1.60 or later you should not have
+any more problems with db-2.
+
 \f
 . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .